    .product-card {
        /* position: relative; */
        /* border: 1px solid #ddd; */
        /* padding: 16px; */
        /* width: 250px; */
        background-color: white;
        /* box-shadow: 0 2px 4px rgba(0,0,0,0.1); */
        text-align: left !important;
        display: flex;
        flex-direction: column;
        height: 100%;
    }

    .add-to-wishlist {
        position: absolute;
        top: 16px;
        right: 16px;
        background: none;
        border: none;
        cursor: pointer;
        z-index: 10;
    }

    .add-to-wishlist.active img {
        /* Style for active (red) wishlist icon */
        content: url("https://img.icons8.com/ios-filled/50/FF0000/heart.png");
    }

    .add-to-wishlist img {
        width: 20px;
        height: 20px;
        content: url("https://img.icons8.com/ios-filled/50/000000/like.png");
        /* Default wishlist icon */
    }

    .product-image {
        height: 150px;
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 16px;
    }

    .product-image img {
        max-width: 100%;
        max-height: 100%;
    }

    .product-info {
        /* New class to group elements from brand to stock */
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        /* Distribute extra space */
        margin-bottom: 16px;
        height: 80px;
        /* Set a fixed height for this section */
    }

    .card-brand {
        font-size: .875rem;
        line-height: 1.25;
        height: 1rem;
        color: #717171;
        display: block;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .product-title {
        font-weight: 600;
        font-size: 1rem;
        line-height: 1.5;
        height: auto;
        min-height: 3rem;
        color: #232323;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-align: left;
        /* font: 400 14px / 20px Fira Sans, sans-serif !important; */
    }

    @media (min-width: 768px) {
        /* .product-title {
            width: 12rem;
        } */
    }

    .product-sku {
        font-size: 12px;
        color: #777;
        margin-bottom: 4px;
        text-align: left;
    }

    .product-price {
        font-size: 20px;
        font-weight: bold;
        margin-bottom: 8px;
        text-align: left;
    }

    .original-price {
        font-size: 20px;
        color: #000;
        text-decoration: line-through;
        margin-right: 8px;
    }

    .sale-price {
        font-size: .75rem;
        font-weight: 600;
        color: #9e9e9e;
        text-decoration: line-through;
        margin-inline-end: 0.25rem;
    }

    .product-rating {
        font-size: 14px;
        color: #777;
        text-align: left;
        display: inline-block;
    }

    .ratings {
        display: flex;
        flex-direction: row-reverse;
        text-align: left !important;
        align-items: start;
        justify-content: flex-end;
    }

    .ratings span[data-clicked],
    .ratings span[data-clicked]~span {
        color: orange;
    }

    .stock-info {
        font-size: 14px;
        text-align: left;
    }



    .product-button:hover {
        background-color: #d1232a;
    }

    .text-info {
        color: #17a2b8 !important;
        font-weight: 600 !important;
        font-size: .8125rem !important;
    }

    .text-primary {
        color: #232323 !important;
    }

    .search-results-list__item__price {
        font-size: 1.375rem;
        font-weight: 800;
        color: #000;
        text-align: left !important;
    }

    .product-button-availability {
        border-color: #d1232a;
        color: #d1232a;
        box-shadow: 0 0 #0003, 0 0 #00000024, 0 0 #0000001f;
        width: 100%;
        margin-block-start: auto;
        /* background-color: #d1232a; */
        /* color: white; */
        border: 1px solid #d1232a;
        /* padding: 10px 16px; */
        /* font-size: 14px; */
        cursor: pointer;
        border-radius: 4px;
        text-decoration: none;
        display: block;
        text-align: center;
        /* height: 1.875rem; */
        line-height: 1.5;
        min-width: 4rem;
        padding: 0.25rem 0.625rem;
    }

    .card-button-group {
        max-width: 10rem;
        width: 100%;
        display: flex;
        align-items: center;
        margin-block-start: auto;
        box-sizing: border-box;
    }

    .product-button {
        background-color: #d1232a;
        color: #fff;
        box-shadow: 0 0 #0003, 0 0 #00000024, 0 0 #0000001f;
        width: 100%;
        margin-block-start: auto;
        border: 1px solid #d1232a;
        cursor: pointer;
        border-radius: 4px;
        text-decoration: none;
        display: block;
        text-align: center;
        /* height: 1.875rem; */
        line-height: 1.5;
        min-width: 4rem;
        padding: 0.25rem 0.625rem;
    }

    .card-button-group button {
        height: 2rem;
        width: 2rem;
        font-size: .875rem;
        border: 1px solid #ced4da;
        background-color: transparent;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .card-button-group button:focus {
        outline: none;
    }

    .card-button-group button:nth-of-type(1) {
        border-radius: 0.25rem 0 0 0.25rem;
    }

    .card-button-group button:last-of-type {
        border-radius: 0 0.25rem 0.25rem 0;
    }


    .mat-input-element {
        height: 1.75rem;
        border: 1px solid #ced4da;
        border-radius: 0;
        font-size: 1rem;
        line-height: 1.5;
    }

    .decrease-btn,
    .increase-btn {
        background-color: #2323231a !important;
        border: 1px solid #ccc;
        color: #333;
    }

    .decrease-btn.active,
    .increase-btn.active {
        background-color: white !important;
    }

    .decrease-btn:disabled,
    .increase-btn:disabled {
        background-color: white !important;
        cursor: not-allowed;
    }

    .card-price-main {
        font-size: 1.375rem;
        font-weight: 800;
        color: #000;
    }

    .card-price-del {
        font-size: 1rem;
        font-weight: 500;
        color: #9e9e9e;
        text-decoration: line-through;
        margin-inline: 0px 0.625rem;
    }

    .disabled {
        pointer-events: none;
        opacity: 0.5;
        cursor: not-allowed;
    }

    .prev-next-link {
        font-size: .75rem;
        line-height: 1rem;
        font-weight: 700;
        text-transform: uppercase;
        letter-spacing: .31px;
        text-decoration-line: underline;
    }

    .row {
        margin: 0 0 5px 0 !important;
        --gap: 10px !important;
    }

    .selected-facets {
        margin: 0 0 5px 0 !important;
    }

    hawksearch-search-results-list {
        margin: 0 0 5px 0 !important;
    }

    .product-button-availability:hover {
        color: rgb(209, 35, 42) !important;
        text-decoration: none !important;
    }

    #add-to-cart-btn:hover {
        color: white !important;
        text-decoration: none !important;
    }

    svg>use[href="#star"] {
        display: none;
    }
.text-inline-box {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-wrap: wrap;
    gap: 0.25rem;
}

    @media only screen and(min-width: 1367px) and (max-width: 1920px) {
        .facets {
            /* padding: 0 .625rem !important; */
            margin: 0 0 .625rem !important;
            list-style: none !important;
            background-color: #fff !important;
            /* display: flex !important;
            flex-wrap: wrap !important; */
            box-shadow: #00000026 0 0 1.25rem !important;
        }

    }

    @media only screen and (min-width: 1471px) {

        .row-hs {
            margin: 0 12rem 0 12rem !important;

        }

        .facets {
            margin: 0 0 .625rem !important;
            list-style: none !important;
            text-transform: uppercase !important;
            /* background-color: #fff !important; */
            /* box-shadow: #00000026 0 0 1.25rem !important; */
        }

    }


    @media only screen and (max-width: 480px) {

        /* Styles for small phones */
        .search-results-list__item--product {
            padding: 10px !important;
            font-size: 11px !important;

        }

        .search-results-list__item__image {
            padding: 0px 10px 10px 10px !important;
            height: 120px !important;
        }

        .search-results-list__item__price {
            font-size: 1rem !important;
            margin-bottom: 0.325rem !important;
        }

        .product-title {
            font-weight: 600 !important;
            font-size: 0.725rem !important;
            line-height: 1.5;
            min-height: 2rem !important;

        }

        .card-price-main {
            font-size: 1rem;
        }    

        .card-price-del {
            font-size: 0.725rem;
        } 

        .text-for-price {
            font-size: inherit !important;
        }

        .search-results-list {
            --gap: 0px !important;
        }

        hawksearch-facets-list {
            margin: 0 !important;
        }

        hawksearch-search-results-list {
            margin: 0 0 10px 0 !important;
        }
        .text-info {
            color: #17a2b8 !important;
            font-weight: 600 !important;
            font-size: inherit !important;
        }

    }

    .facets__heading {
        text-transform: uppercase !important;
    }

    .facet__heading {
        text-transform: uppercase !important;
        font-size: 1rem !important;
    }
    .card-ing-box {
        width: auto;
        height: auto;
        max-width: 100%;
        max-height: 100%;
        aspect-ratio: auto;
    }
/* Top-left ribbon with image */
.upper_left {
  position: absolute;
  top: -5px;
  left: -5px;
  z-index: 10;
  background-color: transparent;
}

.upper_left img {
  width: 100%; 
  height: auto; 
  transition: transform 0.3s ease;
}


/* Bottom-right circular badge with image */
.lower_right {
  position: absolute;
  right: 0px;
  bottom: 5px;
  z-index: 10;
  background-color: transparent;
 /* transform: rotate(-45deg); */
}


.lower_right img {
  width: 100%;
  height: auto;
  transition: transform 0.3s ease;
}
